import {
  __decorateClass
} from "../../chunks/chunk.QU3DSPNU.js";
import { ifDefined } from "lit/directives/if-defined.js";
import { tokens } from "../../tokens.style.js";
import {
  gdsCustomElement,
  html
} from "../../utils/helpers/custom-element-scoping.js";
import { withLinkProps } from "../../utils/mixins/props-link.js";
import { GdsCard } from "../card/card.component.js";
import CardLinkedStyles from "./card-linked.styles.js";
let GdsCardLinked = class extends withLinkProps(GdsCard) {
  render() {
    return html`<a
      href=${ifDefined(this.href)}
      target=${ifDefined(this.target)}
      rel=${ifDefined(this.rel)}
      ping=${ifDefined(this.ping)}
      download=${ifDefined(this.download)}
      tabindex="0"
    >
      <slot></slot>
    </a>`;
  }
};
GdsCardLinked.styles = [tokens, CardLinkedStyles];
GdsCardLinked.styleExpressionBaseSelector = "a";
GdsCardLinked = __decorateClass([
  gdsCustomElement("gds-card-linked")
], GdsCardLinked);
export {
  GdsCardLinked
};
